PHP Manual
Prev |  | Next

# date_default_timezone_set

(PHP 5 >= 5.1.0RC1)

date_default_timezone_set -- Sets the default timezone used by all date/time functions in a script

## Description

bool date_default_timezone_set ( string timezone_identifier )

date_default_timezone_set() sets the default timezone used by all date/time functions.

> Note: Since PHP 5.1.0 (when the date/time functions were rewritten), every call to a date/time function will generate a `E_NOTICE` if the timezone isn't valid, and/or a `E_STRICT` message if using the system settings or the TZ environment variable.

## Parameters

timezone_identifier

  The timezone identifier, like UTC or Europe/Lisbon. The list of valid identifiers is available in the Appendix H.

## Return Values

This function returns `FALSE` if the timezone_identifier isn't valid, or `TRUE` otherwise.

## ChangeLog

Version | Description
--- | ---
5.1.2 | The function started to validate the timezone_identifier parameter.

## See Also

date_default_timezone_get()

Prev | Home | Next
date_default_timezone_get | Up | date_sunrise